Changeset 1920 for ThirdParty/Blas


Ignore:
Timestamp:
Dec 19, 2010 11:25:20 AM (9 years ago)
Author:
stefan
Message:

sync with trunk rev1918

Location:
ThirdParty/Blas/stable/1.1
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/stable/1.1

  • ThirdParty/Blas/stable/1.1/Makefile.in

    r1741 r1920  
    134134CDEFS = @CDEFS@
    135135CFLAGS = @CFLAGS@
     136COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     137COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
    136138COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    137139COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
  • ThirdParty/Blas/stable/1.1/coinblas-uninstalled.pc.in

    r1821 r1920  
    55Description: Basic linear algebra package
    66Version: @PACKAGE_VERSION@
    7 Libs: -L${libdir} -lcoinblas @BLAS_PCLIBS@
     7Libs: ${libdir}/libcoinblas.la @BLAS_PCLIBS@
    88Cflags:
  • ThirdParty/Blas/stable/1.1/configure

    r1852 r1920  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion BLAS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS BLAS_PCLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion BLAS_SVN_REV build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS BLAS_PCLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19381938fi
    19391939
     1940# add automake conditional so we can recognize cl compiler in makefile
     1941coin_cc_is_cl=false
     1942if test x"$CXX" != x; then
     1943  case "$CXX" in
     1944    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1945      coin_cc_is_cl=true
     1946      ;;
     1947  esac
     1948fi
     1949
     1950
     1951if test $coin_cc_is_cl = true; then
     1952  COIN_CC_IS_CL_TRUE=
     1953  COIN_CC_IS_CL_FALSE='#'
     1954else
     1955  COIN_CC_IS_CL_TRUE='#'
     1956  COIN_CC_IS_CL_FALSE=
     1957fi
     1958
     1959
    19401960
    19411961
     
    33663386
    33673387# Provide some information about the compiler.
    3368 echo "$as_me:3368:" \
     3388echo "$as_me:3388:" \
    33693389     "checking for Fortran 77 compiler version" >&5
    33703390ac_compiler=`set X $ac_compile; echo $2`
     
    39343954ac_save_FFLAGS=$FFLAGS
    39353955FFLAGS="$FFLAGS $ac_verb"
    3936 (eval echo $as_me:3936: \"$ac_link\") >&5
     3956(eval echo $as_me:3956: \"$ac_link\") >&5
    39373957ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39383958echo "$ac_f77_v_output" >&5
     
    40124032ac_save_FFLAGS=$FFLAGS
    40134033FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4014 (eval echo $as_me:4014: \"$ac_link\") >&5
     4034(eval echo $as_me:4034: \"$ac_link\") >&5
    40154035ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40164036echo "$ac_f77_v_output" >&5
     
    65916611*-*-irix6*)
    65926612  # Find out which ABI we are using.
    6593   echo '#line 6593 "configure"' > conftest.$ac_ext
     6613  echo '#line 6613 "configure"' > conftest.$ac_ext
    65946614  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    65956615  (eval $ac_compile) 2>&5
     
    90689088   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90699089   -e 's:$: $lt_compiler_flag:'`
    9070    (eval echo "\"\$as_me:9070: $lt_compile\"" >&5)
     9090   (eval echo "\"\$as_me:9090: $lt_compile\"" >&5)
    90719091   (eval "$lt_compile" 2>conftest.err)
    90729092   ac_status=$?
    90739093   cat conftest.err >&5
    9074    echo "$as_me:9074: \$? = $ac_status" >&5
     9094   echo "$as_me:9094: \$? = $ac_status" >&5
    90759095   if (exit $ac_status) && test -s "$ac_outfile"; then
    90769096     # The compiler can only warn and ignore the option if not recognized
     
    93369356   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93379357   -e 's:$: $lt_compiler_flag:'`
    9338    (eval echo "\"\$as_me:9338: $lt_compile\"" >&5)
     9358   (eval echo "\"\$as_me:9358: $lt_compile\"" >&5)
    93399359   (eval "$lt_compile" 2>conftest.err)
    93409360   ac_status=$?
    93419361   cat conftest.err >&5
    9342    echo "$as_me:9342: \$? = $ac_status" >&5
     9362   echo "$as_me:9362: \$? = $ac_status" >&5
    93439363   if (exit $ac_status) && test -s "$ac_outfile"; then
    93449364     # The compiler can only warn and ignore the option if not recognized
     
    94409460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94419461   -e 's:$: $lt_compiler_flag:'`
    9442    (eval echo "\"\$as_me:9442: $lt_compile\"" >&5)
     9462   (eval echo "\"\$as_me:9462: $lt_compile\"" >&5)
    94439463   (eval "$lt_compile" 2>out/conftest.err)
    94449464   ac_status=$?
    94459465   cat out/conftest.err >&5
    9446    echo "$as_me:9446: \$? = $ac_status" >&5
     9466   echo "$as_me:9466: \$? = $ac_status" >&5
    94479467   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    94489468   then
     
    1185711877  lt_status=$lt_dlunknown
    1185811878  cat > conftest.$ac_ext <<EOF
    11859 #line 11859 "configure"
     11879#line 11879 "configure"
    1186011880#include "confdefs.h"
    1186111881
     
    1195711977  lt_status=$lt_dlunknown
    1195811978  cat > conftest.$ac_ext <<EOF
    11959 #line 11959 "configure"
     11979#line 11979 "configure"
    1196011980#include "confdefs.h"
    1196111981
     
    1431714337   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1431814338   -e 's:$: $lt_compiler_flag:'`
    14319    (eval echo "\"\$as_me:14319: $lt_compile\"" >&5)
     14339   (eval echo "\"\$as_me:14339: $lt_compile\"" >&5)
    1432014340   (eval "$lt_compile" 2>conftest.err)
    1432114341   ac_status=$?
    1432214342   cat conftest.err >&5
    14323    echo "$as_me:14323: \$? = $ac_status" >&5
     14343   echo "$as_me:14343: \$? = $ac_status" >&5
    1432414344   if (exit $ac_status) && test -s "$ac_outfile"; then
    1432514345     # The compiler can only warn and ignore the option if not recognized
     
    1442114441   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1442214442   -e 's:$: $lt_compiler_flag:'`
    14423    (eval echo "\"\$as_me:14423: $lt_compile\"" >&5)
     14443   (eval echo "\"\$as_me:14443: $lt_compile\"" >&5)
    1442414444   (eval "$lt_compile" 2>out/conftest.err)
    1442514445   ac_status=$?
    1442614446   cat out/conftest.err >&5
    14427    echo "$as_me:14427: \$? = $ac_status" >&5
     14447   echo "$as_me:14447: \$? = $ac_status" >&5
    1442814448   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1442914449   then
     
    1599116011   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1599216012   -e 's:$: $lt_compiler_flag:'`
    15993    (eval echo "\"\$as_me:15993: $lt_compile\"" >&5)
     16013   (eval echo "\"\$as_me:16013: $lt_compile\"" >&5)
    1599416014   (eval "$lt_compile" 2>conftest.err)
    1599516015   ac_status=$?
    1599616016   cat conftest.err >&5
    15997    echo "$as_me:15997: \$? = $ac_status" >&5
     16017   echo "$as_me:16017: \$? = $ac_status" >&5
    1599816018   if (exit $ac_status) && test -s "$ac_outfile"; then
    1599916019     # The compiler can only warn and ignore the option if not recognized
     
    1609516115   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1609616116   -e 's:$: $lt_compiler_flag:'`
    16097    (eval echo "\"\$as_me:16097: $lt_compile\"" >&5)
     16117   (eval echo "\"\$as_me:16117: $lt_compile\"" >&5)
    1609816118   (eval "$lt_compile" 2>out/conftest.err)
    1609916119   ac_status=$?
    1610016120   cat out/conftest.err >&5
    16101    echo "$as_me:16101: \$? = $ac_status" >&5
     16121   echo "$as_me:16121: \$? = $ac_status" >&5
    1610216122   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1610316123   then
     
    1830218322   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1830318323   -e 's:$: $lt_compiler_flag:'`
    18304    (eval echo "\"\$as_me:18304: $lt_compile\"" >&5)
     18324   (eval echo "\"\$as_me:18324: $lt_compile\"" >&5)
    1830518325   (eval "$lt_compile" 2>conftest.err)
    1830618326   ac_status=$?
    1830718327   cat conftest.err >&5
    18308    echo "$as_me:18308: \$? = $ac_status" >&5
     18328   echo "$as_me:18328: \$? = $ac_status" >&5
    1830918329   if (exit $ac_status) && test -s "$ac_outfile"; then
    1831018330     # The compiler can only warn and ignore the option if not recognized
     
    1857018590   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1857118591   -e 's:$: $lt_compiler_flag:'`
    18572    (eval echo "\"\$as_me:18572: $lt_compile\"" >&5)
     18592   (eval echo "\"\$as_me:18592: $lt_compile\"" >&5)
    1857318593   (eval "$lt_compile" 2>conftest.err)
    1857418594   ac_status=$?
    1857518595   cat conftest.err >&5
    18576    echo "$as_me:18576: \$? = $ac_status" >&5
     18596   echo "$as_me:18596: \$? = $ac_status" >&5
    1857718597   if (exit $ac_status) && test -s "$ac_outfile"; then
    1857818598     # The compiler can only warn and ignore the option if not recognized
     
    1867418694   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1867518695   -e 's:$: $lt_compiler_flag:'`
    18676    (eval echo "\"\$as_me:18676: $lt_compile\"" >&5)
     18696   (eval echo "\"\$as_me:18696: $lt_compile\"" >&5)
    1867718697   (eval "$lt_compile" 2>out/conftest.err)
    1867818698   ac_status=$?
    1867918699   cat out/conftest.err >&5
    18680    echo "$as_me:18680: \$? = $ac_status" >&5
     18700   echo "$as_me:18700: \$? = $ac_status" >&5
    1868118701   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1868218702   then
     
    2179221812   { (exit 1); exit 1; }; }
    2179321813fi
     21814if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     21815  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     21816Usually this means the macro was only invoked conditionally." >&5
     21817echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     21818Usually this means the macro was only invoked conditionally." >&2;}
     21819   { (exit 1); exit 1; }; }
     21820fi
    2179421821if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
    2179521822  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     
    2237222399s,@build_vendor@,$build_vendor,;t t
    2237322400s,@build_os@,$build_os,;t t
     22401s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     22402s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2237422403s,@CDEFS@,$CDEFS,;t t
    2237522404s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.